%define upstream_name    Safe-Isa
%define upstream_version 1.000010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Call isa, can, does and DOES safely on things that may not be objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Safe/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
How many times have you found yourself writing:

  if ($obj->isa('Something')) {

and then shortly afterwards cursing and changing it to:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.10-5.mga10
+ Revision: 2204562
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0.10-4.mga9
+ Revision: 1810182
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.10-3.mga8
+ Revision: 1506176
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.10-2.mga7
+ Revision: 1285977
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 tv <tv> 1.0.10-1.mga7
+ Revision: 1222864
- update to 1.000010

* Sun Apr 22 2018 tv <tv> 1.0.9-1.mga7
+ Revision: 1221061
- update to 1.000009

* Tue Oct 03 2017 guillomovitch <guillomovitch> 1.0.8-1.mga7
+ Revision: 1167681
- new version 1.000008

* Tue Oct 03 2017 tv <tv> 1.0.7-2.mga7
+ Revision: 1166410
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 tv <tv> 1.0.7-1.mga7
+ Revision: 1157866
- update to 1.000007

* Sat Jul 22 2017 shlomif <shlomif> 1.0.6-1.mga7
+ Revision: 1128904
- update to 1.000006

* Sun Jun 19 2016 pterjan <pterjan> 1.0.5-6.mga6
+ Revision: 1033004
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-5.mga6
+ Revision: 947581
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 740113
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.5-3.mga5
+ Revision: 733367
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 686165
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.0.5-1.mga5
+ Revision: 664734
- update to 1.000005

* Sun Oct 20 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 536743
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 1.0.4-1.mga4
+ Revision: 485483
- update to 1.000004

* Wed May 29 2013 shlomif <shlomif> 1.0.3-1.mga4
+ Revision: 432603
- update to 1.000003

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 372520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.0.2-2.mga3
+ Revision: 295246
- force version update
- magpie fix

* Sun Aug 05 2012 shlomif <shlomif> 1.0.2-1.mga3
+ Revision: 278647
- imported package perl-Safe-Isa


* Sun Aug 05 2012 cpan2dist 1.000002-1mga
- initial mageia release, generated with cpan2dist
